Package org.eclipse.birt.report.model.api

# Class TableColumnBandAdapter

java.lang.Object
org.eclipse.birt.report.model.api.TableColumnBandAdapter

public final class TableColumnBandAdapter extends Object
Represents an object of copied objects when do copy/paste operations between tables.

## Field Summary

Fields
Modifier and Type
Field
Description
`protected TableHandle`
`element`
The element where the copy/paste operation occurs.

## Method Summary

Modifier and Type
Method
Description
`protected int`
`findCellPosition(RowHandle row, int columnToInsert, boolean insert)`
Returns the position where the cell resides in the row.
`protected int`
`getCellPosition(CellHandle cell)`
Returns the column number with the given cell.
`protected List`
`getCellsInSlot(SlotHandle handle, int columnIndex, boolean mustBeStartPosition)`
Returns copied cells with the given slot and column number.
`protected List`
`getCellsUnderColumn(int columnNumber)`
Returns copied cells with the column number.
`protected List`
`getCellsUnderColumn(int columnIndex, boolean mustBeStartPosition)`
Returns copied cells with the column number regardless whether the current position is where the cell element begins to span.
`protected int`
`getColumnCount()`
Returns the number of columns in the element.
`protected SlotHandle`
`getColumns()`
Returns the column slot.
`protected static int`
`getColumnStartPos(ColumnHandle target)`
Returns the column index that is the start column index of the `target`.
`protected ReportItemHandle`
`getElementHandle()`
Returns the element where the copy/paste operation occurs.
`protected org.eclipse.birt.report.model.core.Module`
`getModule()`
Returns the module where the element belongs to.
`protected RowHandle`
`getRow(int slotId, int groupId, int rowNumber)`
Returns the row with the given slot id, group id and the row number.
`protected List`
`getRowContainerSlots()`
Returns a list containing rows.
`protected int`
`getRowCount()`
Returns the number of rows in the element.
`protected boolean`
`hasDroppingCell(List cells)`
Checks whether any cell in `cells` has a value of `DesignChoiceConstants#DROP_TYPE_DETAIL` or `DesignChoiceConstants#DROP_TYPE_ALL` for the "drop" property.
`protected final boolean`
`hasParent()`
Checks element has parent or not.
`protected boolean`
`isDroppingCell(org.eclipse.birt.report.model.api.CellContextInfo cellInfo)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### element

protected TableHandle element
The element where the copy/paste operation occurs.

## Method Details

### getElementHandle

protected ReportItemHandle getElementHandle()
Returns the element where the copy/paste operation occurs.

Returns:
  the element

### getColumns

protected SlotHandle getColumns()
Returns the column slot.

Returns:
  the column slot

### getCellsUnderColumn

protected List getCellsUnderColumn(int columnIndex, boolean mustBeStartPosition)
Returns copied cells with the column number regardless whether the current position is where the cell element begins to span.

Parameters:
  `columnIndex` - the column number
  `mustBeStartPosition` - `true` if it is. Otherwise `false`.
Returns:
  the matched cell

### getCellPosition

protected int getCellPosition(CellHandle cell)
Returns the column number with the given cell.

Parameters:
  `cell` - the cell to find.
Returns:
  the column number

### getRowCount

protected int getRowCount()
Returns the number of rows in the element.

Returns:
  the number or rows in the element.

### getColumnCount

protected int getColumnCount()
Returns the number of columns in the element.

Returns:
  the number of columns in the element

### getRow

protected RowHandle getRow(int slotId, int groupId, int rowNumber)
Returns the row with the given slot id, group id and the row number.

Parameters:
  `slotId` - the slot id
  `groupId` - the group id
  `rowNumber` - the row number
Returns:
  the row that matches the input parameters

### hasDroppingCell

protected boolean hasDroppingCell(List cells)
Checks whether any cell in `cells` has a value of `DesignChoiceConstants#DROP_TYPE_DETAIL` or `DesignChoiceConstants#DROP_TYPE_ALL` for the "drop" property.

Parameters:
  `cells` - a list containing cell handles
Returns:
  `true` if any cell has the "drop" property, otherwise `false`.

### getRowContainerSlots

protected List getRowContainerSlots()
Returns a list containing rows.

Returns:
  a list containing rows.

### isDroppingCell

protected boolean isDroppingCell(org.eclipse.birt.report.model.api.CellContextInfo cellInfo)

### getModule

protected org.eclipse.birt.report.model.core.Module getModule()
Returns the module where the element belongs to.

Returns:
  the module

### getColumnStartPos

protected static int getColumnStartPos(ColumnHandle target)
Returns the column index that is the start column index of the `target`.

Parameters:
  `target` - the column to find
Returns:
  a column index

### findCellPosition

protected int findCellPosition(RowHandle row, int columnToInsert, boolean insert)
Returns the position where the cell resides in the row.

Parameters:
  `row` - the row handle
  `columnToInsert` - the column number to insert, count from 1
  `insert` - whether insert mode
Returns:
  the position indexing from 1

### getCellsUnderColumn

protected List getCellsUnderColumn(int columnNumber)
Returns copied cells with the column number.

Parameters:
  `columnNumber` - the column number
Returns:
  new cell instances

### getCellsInSlot

protected List getCellsInSlot(SlotHandle handle, int columnIndex, boolean mustBeStartPosition)
Returns copied cells with the given slot and column number.

Parameters:
  `handle` - the slot
  `columnIndex` - the column number
  `mustBeStartPosition` - `true` if it is. Otherwise `false`.
Returns:
  new cell instances

### hasParent

protected final boolean hasParent()
Checks element has parent or not.

Returns:
  `true`if has parent, else return `false`